Menu

## RegenerationBuffEvent extends BattleEvent
in package

RegenerationBuffEvent.php : 12

Battle event that represents regenerating health.

### Table of Contents

$effectMessage : mixed
$noEffectMessage : mixed
$regeneration : mixed
$target : mixed
$applied : mixed
__construct() : mixed
  Construct a RegenerationBuffEvent against $target, with regenerating value $regeneration. $effectMessage is shown if there is an effect of regeneration, and $noEffectMessage is shown if the $regeneation is 0.
apply() : mixed
  Applies the event.
decorate() : string
  Returns a string describing the event.

### Properties

#### $effectMessage

RegenerationBuffEvent.php : 16
`protected mixed $effectMessage`

#### $noEffectMessage

RegenerationBuffEvent.php : 17
`protected mixed $noEffectMessage`

#### $regeneration

RegenerationBuffEvent.php : 15
`protected mixed $regeneration`

#### $target

RegenerationBuffEvent.php : 14
`protected mixed $target`

#### $applied

BattleEvent.php : 14
`private mixed $applied = false`

### Methods

#### __construct()

RegenerationBuffEvent.php : 30

Construct a RegenerationBuffEvent against $target, with regenerating value $regeneration. $effectMessage is shown if there is an effect of regeneration, and $noEffectMessage is shown if the $regeneation is 0.

`public __construct(FighterInterface $target, int $regeneration, string $effectMessage, string $noEffectMessage) : mixed`

$effectMessage and $noEffectMessage can contain '{target}' and '{amount}' which will be replaced by the name of the target and the damage, respectively.

##### Parameters

$target : FighterInterface
$regeneration : int
$effectMessage : string
$noEffectMessage : string

##### Return values

mixed —

#### apply()

RegenerationBuffEvent.php : 72

Applies the event.

`public apply() : mixed`

##### Tags

inheritDoc

##### Return values

mixed —

#### decorate()

RegenerationBuffEvent.php : 45

Returns a string describing the event.

`public decorate(Game $game) : string`

##### Parameters

$game : Game

##### Tags

inheritDoc

##### Return values

string —

## Search results